%define	name	cdrdao
%define	version	1.1.0
%define	release	1
%define	serial	2
%define	prefix	/usr

Summary:	Cdrdao - Write audio CD-Rs in disk-at-once mode
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Utilities/System
Vendor:		Andreas Mueller <mueller@daneb.ping.de>
URL:		http://www.ping.de/sites/daneb/cdrdao.html
Source:		%{name}-%{version}.src.tar.gz
Distribution:	Freshmeat RPMS
Packager:	Ryan Weaver <ryanw@infohwy.com>
BuildRoot:	/tmp/%{name}-%{version}
Prefix:		%{prefix}

%description
Writes audio CD-Rs in disc-at-once (DAO) mode allowing
control over pre-gaps (length down to 0, nonzero audio
data) and sub-channel information like ISRC codes. All
data that is written to the disc must be specified with
a text file. Audio data may be in WAVE or raw format.

%package	xcdrdao
Summary:	A very early version of the Gtk-- based GUI xcdrdao.
Group:		X11/Utilities
Obsoletes:	cdrdao-xdao
Requires:	cdrdao, gtk-- >= 0.99.1, gtk+ >= 1.1.13
%description	xcdrdao
At this early stage xcdrdao can be mainly used to edit
existing toc-files. It is possible to create, edit or
remove track/index marks and pre-gaps.  Xcdrdao comes
without any documentation. 

%prep
PcctsPackage="`rpm -qa | grep pccts; true`"              
if [ -z "${PcctsPackage}" ]; then                                    
	cat >&2 <<-'ETX'                                                         
	###################################################################
	### You need pccts-1.33-4.i386.rpm or greater to compile cdrdao ###
	###################################################################
	ETX
	echo -en '\a'
	exit 1
fi
                                                                                 
%setup -q
CFLAGS=$RPM_OPT_FLAGS CXXFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=%{prefix} \
            --with-pcctsbin=/usr/bin \
            --with-pcctsinc=/usr/include/pccts

%build
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make prefix=$RPM_BUILD_ROOT/%{prefix} install
strip $RPM_BUILD_ROOT/%{prefix}/bin/cdrdao

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc testtocs COPYING INSTALL README cdrdao.lsm
%{prefix}/bin/cdrdao
%{prefix}/man/man1/cdrdao.1

%files xcdrdao
%defattr(-,root,root)
%{prefix}/bin/xcdrdao

%changelog
* Mon Apr  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdrdao-1.1.0-1]
- Changes 1.1.0: 
- Added data track support to generic-mmc driver. 
- Added Henk-Jan Slotboom's driver for Taiyo-Yuden recorders. 
- Created driver for the Teac CD-R55S recorder. Data tracks should be
  supported, too, but it is not well tested. 
- Added Cam MacKinnon's driver for the Yamaha CDR10x drive family. Data
  track support is available, too, but also not well tested. 
- Added Leon Woestenberg's bitwise-exact digital audio extraction patch
  for Plextor drives (see README.PlexDAE). 
- read-toc will analyze mixed mode CDs now, but it is currently not perfect.
  Please have a look at the README. 
- Fixed failed assertion problems with 'read-toc' that occured when the
  raw P-W sub-channel data passed the CRC check but was actually not
  consistent (happened quiet often with Teac CD-ROM CD-532S drives). 
- The SCSI interface can now use Joerg Schilling's SCSI library. Cdrdao
  is reported to work on Solaris 2.6 and FreeBSD using the SCSI library.
  Max Khon provided an independent SCSI interface implementation for FreeBSD
  which can be selected when configuring. 
- Added experimental CD-TEXT support to 'read-toc'. 
- Updated xcdrdao source to compile with Gtk-- 0.99.1. 


* Sun Jan 30 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdrdao-1.011-1]
- Changes 1.011:
- Fixed xcdrdao compilation errors with recent Gtk-- library
    (version 0.11.1). It won't compile with Gtk-- 0.9.14 anymore.
- Fixed driver detection for Panasonic CW-7582 which actually
    identifies as MATSHITA CW-7582.

* Mon Jan 25 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdrdao-1.010-1]
- Changes 1.010: 
- Michael Weber added on-the-fly writing support.
  See http://www.ping.de/sites/daneb/example.html#on-the-fly for usage. 
- Radek Doulik added improved ring buffer code. The number of
  buffers can be set with the --buffers option. 
- Added driver selection for Matshita/Panasonic CW-7502,
  Mitsumi CR-4801, Panasonic CW-7582, Traxdata CDRW4260,
  BTC BCE621E and Philips OMNIWRITER2. 
- The source code distribution contains a very early version of
  the Gtk-- based GUI xcdrdao. Of course, cdrdao can still be built
  without the Gtk-- libraries. At this early stage xcdrdao can be
  mainly used to edit existing toc-files. It is possible to create,
  edit or remove track/index marks and pre-gaps. Xcdrdao comes
  without any documentation. 
- Xcdrdao is 'NOT' included in this RPM because it would not build
  with gtk-- version 0.11.1

* Fri Dec 11 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrdao-1.09-2]
- Building with my newly built pccts-1.33mr16 RPM installed

* Thu Dec 10 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrdao-1.09-1]
- First RPM
- Changes 1.09: 
  HP CD-Writer+ 8100 is supported now.
  Added more toc-file consistency checks so that you know now
    why the CDD2x00 refuses to record the CD-R.
  Driver selection for MEMOREX CRW-1662/CR-622/CD-233E and
    PHILIPS CDD3600.
  Warning: This version won't refuse to record with the Panasonic
    CW-7502 anymore but the resulting disk is not very useful. It'll
    contain only one long track.
